| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::DocumentHelper::NodeAttributeRegexpTest Struct Reference

Check if a regular expression matches(case-insensitive) with the value of the given attribute. More...

`#include <csutil/documenthelper.h>`

List of all members.

## Public Member Functions
| NodeAttributeRegexpTest (const char *attribute, const char *regexp)
bool | operator() (iDocumentNode *node)

## Detailed Description

Check if a regular expression matches(case-insensitive) with the value of the given attribute.

Definition at line 269 of file documenthelper.h.

The documentation for this struct was generated from the following file:

- csutil/documenthelper.h